爱开发联盟是国内专业的网站建设资源、脚本编程学习类网站,提供asp、php、asp.net、javascript、jquery、vbscript、dos批处理、网页制作、网络编程、网站建设等编程资料。让开发变得简单起来!
爱开发联盟是国内专业的网站建设资源、脚本编程学习类网站,提供asp、php、asp.net、javascript、jquery、vbscript、dos批处理、网页制作、网络编程、网站建设等编程资料。让开发变得简单起来!
当前所在位置:主页 > CMS > 其它cms >
  • 魔艺客提供SEO\SEM推广整合营销服务
  • 提供整套互联网营销整合方案-魔艺客
  • 魔艺客高端网站建设开发服务十一大优惠服务
  • 资深的网站建设开发经验,一对一服务-魔艺客高
  • 一站式服务,从服务器到网站,三站何以尽在魔
爱开发联盟是国内专业的网站建设资源、脚本编程学习类网站,提供asp、php、asp.net、javascript、jquery、vbscript、dos批处理、网页制作、网络编程、网站建设等编程资料。让开发变得简单起来!

php版本导致shopex4.8.5安装的问题

发布时间:2017-09-14 21:57    作者:爱开发联盟    浏览:次    来源:aikaifa.com.cn 分享:

相信很多人都遇到了和我一样的问题:php5.3以上的版本不再支持Zend Optimizer,但是shopex之类的网站必须要高版本的Zend才能用。

经过了n个小时悲催的摸索,终于搞定了,但是最终也只能向shopex屈服了……

首先,PHP5.3.x版本如果想使用Zend Guard Loader,必须下载NTS的版本,而且必须是VC9编译的。这两点一定要注意,有一个不对都没法用Zend Guard Loader。

目前wampserver 2.1e(32位版)自带的php5.3.5是VC6编译的,所以wampserver 2.1e环境是不能直接用Zend Guard Loader的。wampserver 2.1d(64位版)自带的php5.3.4是VC9编译的,但是却是TS版的,所以也不能用。

如果想用新版本的php+zend guard,那就只能去php网站下载一个nts版本的vc9编译的php了。

不过,就算你用新版本的php和zend guard,也不能用shopex4.8.5,会因为zend版本问题解析出错。

因此,为了用这个版本的shopex,只能被逼换成php 5.2.x版本+Zend Optimizer 3.3.3了。

当然,这里也要注意,PHP 5.2.17必须要TS版本的VC6编译的才能和Zend Optimizer 3.3.3配合,真他娘的变态!

最后,弄好了这个环境之后终于可以安装shopex了。但是,安装的时候在新建数据库的过程中总是进行不下去。

查看mysql数据库发现只有97个表,而完全安装好的话应该是109个表。查了好多地方,也不知道哪里的问题。

最后终于找到了原因,是mysql版本太高造成的。然后从Mysql 5.5.8退到Mysql 5.1.55就正常了。

网友评论

好文推荐联系我们

爱开发联盟是国内专业的网站建设资源、脚本编程学习类网站,提供asp、php、asp.net、javascript、jquery、vbscript、dos批处理、网页制作、网络编程、网站建设等编程资料。让开发变得简单起来!
爱开发联盟是国内专业的网站建设资源、脚本编程学习类网站,提供asp、php、asp.net、javascript、jquery、vbscript、dos批处理、网页制作、网络编程、网站建设等编程资料。让开发变得简单起来!

当前最新内容联系我们

爱开发联盟是国内专业的网站建设资源、脚本编程学习类网站,提供asp、php、asp.net、javascript、jquery、vbscript、dos批处理、网页制作、网络编程、网站建设等编程资料。让开发变得简单起来!

在线手册

网站地图导航

前端 HTML/Xhtml HTML5 CSS XML/XSLT Dreamweaver教程 Frontpage教程 心得技巧 编程 JavaScript ASP.NET PHP编程 正则表达式 AJAX相关 ASP编程 JSP编程 Flex 脚本加解密 web2.0 XML/RSS 网页编辑器 相关技巧 安全相关 网页播放器 Dart 其它综合 脚本 VBS DOS/BAT HTA HTC Python perl 游戏相关 vba 远程脚本 ColdFusion ruby专题 autoit seraphzone PowerShell linux shell Lua Golang Erlang 脚本下载 广告代码 js框架 批处理 网页相关 源码下载 数据库 MsSql Mysql mariadb oracle DB2 mssql2008 mssql2005 SQLite PostgreSQL MongoDB Redis Access 数据库文摘 数据库其它 CMS dedecms ecshop z-blog UcHome UCenter 风讯CMS 科汛cms discuz 新云cms phpwind 动易cms phpcms 帝国cms WordPress drupal 其它cms 设计 photoshop教程 摄影教程 Fireworks教程 CorelDraw教程 Illustrator教程 Painter教程 Freehand教程 Indesign 设计素材 平面其它 微信相关 微信公众号 小程序 操作系统 bios 系统安装 系统进程 Windows系列 LINUX RedHat/Centos Ubuntu/Debian Fedora Solaris 麒麟系统 红旗Linux Unix/BSD 苹果MAC 注册表 其它系统 网站运营 建站经验 微信营销 网站优化 网站策划 网络赚钱 网络创业 站长故事 alexa域名 其它相关 网络安全 黑客教程 安全设置 杀毒防毒 病毒查杀 脚本攻防 黑客入侵 工具使用 业界动态 Exploit 漏洞分析 加密解密 手机黑客 安全其它 在线手册 网页制作 脚本编程 数据库相关 软件编程 系统相关 其它相关 源码下载

友情链接申请加入

51CTO 上海魔艺客 猫鼬设计开发 Erlo网站开发 猫鼬设计工作室 新发现全球资讯 信息安全与IT资讯
爱开发联盟是国内专业的网站建设资源、脚本编程学习类网站,提供asp、php、asp.net、javascript、jquery、vbscript、dos批处理、网页制作、网络编程、网站建设等编程资料。让开发变得简单起来!

283882409